﻿using KelownaSoftware.Domain.Common.Exceptions;
using System.Runtime.Serialization;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class DuplicateEntityException : BaseException
    {
        public DuplicateEntityException(string message) : base(message)
        {
        }

        public DuplicateEntityException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected DuplicateEntityException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
