﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class EntityDeletedException : BaseException
    {
        public EntityDeletedException(string objectType, object Id)
            : base($"Entity {objectType} ({Id}) is deleted and cannot be modified.")
        {
        }
    }
}
