﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class NotAuthorizedException : BaseException
    {
        public NotAuthorizedException(string commandOrQueryName, object userId)
            : base($"User {userId} does not have permissions to execute {commandOrQueryName}.")
        {
        }
    }
}
