﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class PermissionDoesNotExistException : BaseException
    {
        public string Permission { get; set; }
        public PermissionDoesNotExistException(string permission)
            : base($"The permission {permission} does not exist.")
        {
            Permission = permission;
        }
    }
}
