﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class UserDisabledException : BaseException
    {
        public string UserId { get; set; }
        public UserDisabledException(string userId) : base(
            $"User {userId} is disabled")
        {
            UserId = userId;
        }
    }
}
