﻿namespace KelownaSoftware.Application.Common.Interfaces
{
    public interface IEmailNotification
    {
        IEnumerable<string> To { get; }
        IEnumerable<string> CC { get; }
        IEnumerable<string> BCC { get; }
        IEnumerable<IEmailAttachment> Attachments { get; }
        string Subject { get; }
        string HtmlContent { get; }
        string PlainTextContent { get; }

        public void AddTo(string to);
        public void AddTos(IEnumerable<string> tos);
        public void AddCC(string cc);
        public void AddCCs(IEnumerable<string> ccs);
        public void AddBCC(string bcc);
        public void AddBCCs(IEnumerable<string> bccs);
    }
}
