﻿using KelownaSoftware.Application.Common.Interfaces;
using System;

namespace KelownaSoftware.Application.Common.Notifications.Email
{
    public class EmailAttachment : IEmailAttachment
    {
        public string Filename { get; set; }
        public string Base64Data { get; set; }

        public EmailAttachment(string filename, string base64Data)
        {
            _ = filename ?? throw new ArgumentNullException("filename");
            _ = base64Data ?? throw new ArgumentNullException("base64Data");

            Filename = filename;
            Base64Data = base64Data;
        }
    }
}
