﻿using Microsoft.AspNetCore.Http;
using System;

namespace KelownaSoftware.Application.Common.Utilities
{
    public class HttpContextHelpers
    {
        public static string GetBaseUrl(IHttpContextAccessor httpContextAccessor)
        {
            var result = string.Empty;

            if (httpContextAccessor != null)
            {
                result = $"{httpContextAccessor.HttpContext.Request.Scheme}://{httpContextAccessor.HttpContext.Request.Host}{httpContextAccessor.HttpContext.Request.PathBase}";
            }

            return result;
        }
    }
}
