﻿using System.Linq;

namespace KelownaSoftware.Application.Common.Utilities
{
    public static class LinqExtensions
    {
        public static IQueryable<T> ApplySkipTake<T>(this IQueryable<T> query, int skip, int take)
        {
            return query.Skip(skip).Take(take);
        }
    }
}
