﻿using KelownaSoftware.Application.Common.ViewModels;

namespace KelownaSoftware.Application.AggregateRoots.Authentication.ConfirmEmailAddress
{
    public class ConfirmEmailAddressResult : BaseResponse
    {
        private string _emailAddress;

        public ConfirmEmailAddressResult(bool success, string emailAddress)
        {
            Success = success;
            _emailAddress = emailAddress;
        }

        public string GetEmailAddresses()
        {
            return _emailAddress;
        }
    }
}
