﻿using FluentValidation;

namespace KelownaSoftware.Application.AggregateRoots.Authentication.ConfirmEmailAddress
{
    public class ConfirmEmailAddressValidator : AbstractValidator<ConfirmEmailAddressCommand>
    {
        public ConfirmEmailAddressValidator()
        {
            RuleFor(x => x.EncodedEmail).NotEmpty();
            RuleFor(x => x.Token).NotEmpty();
        }
    }
}
