import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PagesComponent } from './pages.component';
import { DashboardComponent } from './dashboard/dashboard.component';
import { PagesRoutingModule } from '@presentation/pages/pages-routing.module';
import { SharedModule } from '@presentation/shared/shared.module';



@NgModule({
  declarations: [
    PagesComponent,
    DashboardComponent
  ],
  imports: [
    CommonModule,

    SharedModule,

    PagesRoutingModule
  ]
})
export class PagesModule { }
