﻿namespace KelownaSoftware.Domain.Common.Exceptions
{
    public class EnumOutOfRangeException : BaseException
    {
        public EnumOutOfRangeException(string enumType, object id)
            : base($"Enum \"{enumType}\" ({id}) is out of range.")
        {
        }
    }
}
