﻿using KelownaSoftware.Application.AggregateRoots.Authentication.ConfirmEmailAddress;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace KelownaSoftware.Server.Areas.Controllers.Account
{
    [ApiController]
    [Area("Account")]
    [Route("api/[area]/[controller]")]
    public class EmailController : BaseController
    {
        [HttpPut]
        [AllowAnonymous]
        public async Task<IActionResult> ConfirmEmail(ConfirmEmailAddressCommand command)
        {
            return await ExecuteRequest(command);
        }
    }
}
