﻿using KelownaSoftware.Application.AggregateRoots.Authentication.ForgotPassword;
using KelownaSoftware.Application.AggregateRoots.Authentication.ResetPassword;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace KelownaSoftware.Server.Areas.Controllers.Account
{
    [ApiController]
    [Area("Account")]
    [Route("api/[area]/[controller]")]

    public class PasswordController : BaseController
    {
        [HttpPut]
        [AllowAnonymous]
        public async Task<IActionResult> ResetPassword(ForgotPasswordCommand command)
        {
            return await ExecuteRequest(command);
        }

        [HttpPost]
        [AllowAnonymous]
        public async Task<IActionResult> ResetPassword(ResetPasswordCommand command)
        {
            return await ExecuteRequest(command);
        }
    }
}
