﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class EntityAlreadyExistsException : BaseException
    {
        public EntityAlreadyExistsException(string entityType, object id)
            : base($"Entity {entityType} ({id}) already exists.")
        {
        }
    }
}
