﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class EntityLockedException : BaseException
    {
        public EntityLockedException(string objectType, object Id)
            : base($"Entity {objectType} ({Id}) is locked and cannot be modified.")
        {
        }
    }
}
