﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class EntityNotFoundException : BaseException
    {
        public string EntityName { get; set; }
        public object Key { get; set; }

        public EntityNotFoundException(string name, object key)
            : base($"Entity {name} ({key}) was not found.")
        {
            EntityName = name;
            Key = key;
        }
    }
}
