﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class EntityUnlockedException : BaseException
    {
        public EntityUnlockedException(string objectType, object Id)
            : base($"Entity {objectType} ({Id}) is already unlocked and cannot be unlocked again.")
        {
        }
    }
}
