﻿using KelownaSoftware.Domain.Common.Exceptions;

namespace KelownaSoftware.Application.Common.Exceptions
{
    public class UserAlreadyExistsException : BaseException
    {
        public UserAlreadyExistsException(string email) : base(
            $"A user with the email address of ${email} already exists and cannot be added.")
        {

        }
    }
}
