﻿using FluentValidation;

namespace KelownaSoftware.Application.AggregateRoots.Authentication.ResetPassword
{
    public class ResetPasswordValidator : AbstractValidator<ResetPasswordCommand>
    {
        public ResetPasswordValidator()
        {
            RuleFor(x => x.EncodedEmail).NotEmpty();
            RuleFor(x => x.Password).NotEmpty();
            RuleFor(x => x.Token).NotEmpty();
        }
    }
}
