import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DashboardComponent } from '@presentation/pages/dashboard/dashboard.component';
import { PagesRoutingConstants } from '@presentation/pages/pages-routing.constants';
import { PagesComponent } from '@presentation/pages/pages.component';

const routes: Routes = [
  {
    path: '',
    component: PagesComponent,

    children: [
      {
        path: '',
        component: DashboardComponent
      },
      {
        path: 'dashboard',
        component: DashboardComponent
      },
      //{
      //  path: PagesRoutingConstants.aggregateRoot1,
      //  loadChildren: () => import('./aggregate-root1/aggregate-root1.module').then(mod => mod.AggregateRoot1Module),
      //}
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PagesRoutingModule { }
