import { Component, Input } from '@angular/core';
import { PreloaderComponent } from '@presentation/shared/controls/preloader/preloader.component';

@Component({
  selector: 'app-loading',
  standalone: true,
  imports: [PreloaderComponent],
  templateUrl: './loading.component.html',
  styleUrls: ['./loading.component.css']
})
export class LoadingComponent {
  @Input() text: string = "Loading";

}
