﻿namespace KelownaSoftware.Domain.Common.Constants
{
    public class DomainCommonConstants
    {
        public const int GUIDID_MAXLENGTH = 36;
        public const int PREFIX_MAXLENGTH = 10;
        public const int ABBREVIATION_MAXLENGTH = 5;

        public const int TEXT500_MAXLENGTH = 500;
        public const int TEXT200_MAXLENGTH = 200;
        public const int TEXT100_MAXLENGTH = 100;
        public const int TEXT50_MAXLENGTH = 50;
        public const int TEXT25_MAXLENGTH = 25;
        public const int TEXT15_MAXLENGTH = 15;
        public const int TEXT1024_MAXLENGTH = 1024;
        public const int TEXT2048_MAXLENGTH = 2048;
        public const int TEXT4000_MAXLENGTH = 4000;

        public const int PHONE_MAXLENGTH = 50; //handle large phone numbers like +1 800 (222) 555-1212 x123456

        public const int URI_MAXLENGTH = 255;

        public const int DECIMAL18DIGITS_LONG = 18;
        public const int DECIMAL5DIGITS_LONG = 5;
        public const int DECIMAL3DIGITS_LONG = 3;

        public const int DECIMAL1DIGIT_FRACTIONALPART = 1;
        public const int DECIMAL2DIGITS_FRACTIONALPART = 2;
        public const int DECIMAL4DIGITS_FRACTIONALPART = 4;

        public const int AUTOCOMPLETEQUERY_MINLENGTH = 1;
        public const int AUTOCOMPLETEQUERY_MAXLENGTH = 100;
        public const int AUTOCOMPLETEQUERY_MAXRESULTS = 25;

        public const int MIN_SKIP_VALUE = 0;
        public const int MIN_TAKE_VALUE = 1;
        public const int MAX_TAKE_VALUE = 10000;
    }
}
