﻿using KelownaSoftware.Domain.Common.Constants;
using KelownaSoftware.Platform.FluentPropertyValidator;

namespace KelownaSoftware.Domain.Common.Entities
{
    public class BaseEntityValidatorWithOptionalId : FluentPropertyValidator<BaseEntity>
    {
        public BaseEntityValidatorWithOptionalId()
        {
            RuleFor(x => x.Id)
                .MaximumLength(DomainCommonConstants.GUIDID_MAXLENGTH);
        }
    }
}
