﻿using KelownaSoftware.Domain.Common.Entities.Regions;

namespace KelownaSoftware.Domain.Common.Entities.Countries
{
    public class Country : CountryValueObject
    {
        public virtual IEnumerable<Region> Regions { get; set; }

        public Country() : base()
        {

        }

        public void SetValues(Country country)
        {
            if (country != null)
            {
                Id = country.Id;
                Name = country.Name;
                Abbreviation = country.Abbreviation;
            }
        }
    }
}