﻿using System;

namespace KelownaSoftware.Domain.Common.Enums
{
    [Flags]
    public enum DaysOfWeek
    {
        None = 0,
        Sunday = 1 << DayOfWeek.Sunday,
        Monday = 1 << DayOfWeek.Monday,
        Tuesday = 1 << DayOfWeek.Tuesday,
        Wednesday = 1 << DayOfWeek.Wednesday,
        Thursday = 1 << DayOfWeek.Thursday,
        Friday = 1 << DayOfWeek.Friday,
        Saturday = 1 << DayOfWeek.Saturday,
        Daily = Sunday + Monday + Tuesday + Wednesday + Thursday + Friday + Saturday,
        Weekdays = Monday + Tuesday + Wednesday + Thursday + Friday,
        Weekends = Sunday + Saturday

    }
}
