﻿using KelownaSoftware.Domain.Common.Constants;

namespace KelownaSoftware.Domain.AggregateRoots.Authentication
{
    public static class RefreshTokenConstants
    {
        //US150 PR question - is 2048 suitable here ?
        public const int TOKEN_MAXLENGTH = DomainCommonConstants.TEXT2048_MAXLENGTH;
        public const int REMOTEIPADDRESS_MAXLENGTH = DomainCommonConstants.URI_MAXLENGTH;
        public const int DAYS_TO_EXPIRE = 5;
        public const int DAYS_TO_REMOVE_TOKENS_AFTER = -30; // negative value because it is used in .AddDays()
    }
}
